# If you install the recommender module under 'sites/all/modules/recommeder' and 'sites/default/settings.php' is accessible, then you can run this script directly.
# Otherwise, please see README and make necessary configuration to make this script running correctly.

# config parameters
DRUPAL_HOME=../../../..
ASYNC_COMMAND_HOME=$DRUPAL_HOME/sites/all/modules/async_command
RECOMMENDER_HOME=$DRUPAL_HOME/sites/all/modules/recommender
MAHOUT_HOME=$RECOMMENDER_HOME/mahout

# specify the location and filename of config.properties file. Default is the working directory
# if the file is not under the working directory, please use '-c $CONFIG_FILE' option when executing the Java program.
#CONFIG_FILE=config.properties

# please make sure you have java installed.
command -v java >/dev/null || { echo "Cannot find java program. Please install Java first and make sure the executable is under PATH."; exit 1;}

# set CLASSPATH
CP="$(find "$ASYNC_COMMAND_HOME/lib" -name "*.jar" | tr '\n' ':')"
CP="${CP}:$(find "$MAHOUT_HOME" -name "*.jar" | tr '\n' ':')"
CP="${CP}:$RECOMMENDER_HOME/recommender.jar"


# using the default config.properties file in the working directory, or fall back to use settings.php directly.
java -cp $CP org.drupal.project.recommender.RecommenderApp

# or, execute the command, find config.properties specified by CONFIG_FILE
#java -cp $CP org.drupal.project.recommender.RecommenderApp -c $CONFIG_FILE
